Skip to main content
POST
Python

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

pool_id
string<uuid4>
required

Pool ID

Example:

"00000000-0000-4000-8000-000000000000"

Body

application/json
delay
integer
required

The time, in seconds, between sending probes to members

Required range: 1 <= x <= 2147483647
Example:

10

max_retries
integer
required

Number of successes before the member is switched to ONLINE state

Required range: 1 <= x <= 10
Example:

2

timeout
integer
required

The maximum time to connect. Must be less than the delay value

Required range: 0 <= x <= 2147483
Example:

5

type
enum<string>
required

Health monitor type. Once health monitor is created, cannot be changed.

Available options:
HTTP,
HTTPS,
K8S,
PING,
TCP,
TLS-HELLO,
UDP-CONNECT
Examples:

"HTTP"

"HTTPS"

"PING"

"TCP"

"TLS_HELLO"

"UDP_CONNECT"

"K8S"

admin_state_up
boolean
default:true

Administrative state of the resource. When set to true, the resource is enabled and operational. When set to false, the resource is disabled and will not process traffic. Defaults to true.

Examples:

true

false

domain_name
string | null

Domain name for HTTP host header. Can only be used together with HTTP or HTTPS health monitor type. A name has 1 to 253 characters. A name has labels that a dot separates, and can end with a dot. A label has 1 to 63 characters. A label starts with a letter, a digit or an underscore. The other characters of a label are letters, digits or hyphens. A label does not end with a hyphen.

Maximum string length: 253
Pattern: ^(?:[A-Za-z0-9_](?:[A-Za-z0-9-]{0,61}[A-Za-z0-9])?\.)*[A-Za-z0-9_](?:[A-Za-z0-9-]{0,61}[A-Za-z0-9])?\.?$
Example:

"example.com"

expected_codes
string | null

Expected HTTP response codes. Can be a single code, a comma-separated list of codes, or a single range of codes. Can only be used together with HTTP or HTTPS health monitor type. A code has three digits from 100 to 599. The first code of a range is not greater than the last code. For example, 200, 200,202,401,403,404, or 200-204. A value has 1 to 64 characters. If not specified, the default is 200.

Maximum string length: 64
Pattern: ^([1-5][0-9]{2}( *, *[1-5][0-9]{2})*)$|^([1-5][0-9]{2}-[1-5][0-9]{2})$
Example:

"200,301,302"

http_method
enum<string> | null

HTTP method. Can only be used together with HTTP or HTTPS health monitor type.

Available options:
CONNECT,
DELETE,
GET,
HEAD,
OPTIONS,
PATCH,
POST,
PUT,
TRACE
Example:

"CONNECT"

http_version
enum<string> | null

HTTP version. Can only be used together with HTTP or HTTPS health monitor type. Supported values: 1.0, 1.1.

Available options:
1.0,
1.1
Example:

"1.1"

max_retries_down
integer
default:3

Number of failures before the member is switched to ERROR state.

Required range: 1 <= x <= 10
Example:

2

url_path
string | null

The HTTP path the health monitor requests on each member. Defaults to / if not set. Can only be used with HTTP or HTTPS health monitor type.

Must start with / and has 1 to 255 characters. The path cannot start with //. Query strings (?), fragments (#), spaces and control characters are not allowed.

Examples of valid paths:

  • / — check the root (most common, default)
  • /healthz — a dedicated health endpoint
Maximum string length: 255
Pattern: ^/(?:[\x21\x22\x24-\x2e\x30-\x3e\x40-\x7e][\x21\x22\x24-\x3e\x40-\x7e]*)?$
Example:

"/"

Response

Task IDs

tasks
string[]
required

List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:

  • GET /v1/tasks/{task_id} - Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example: